"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllLocationResponseDto = exports.findAllLocationResponseSchema = void 0;
const location_dto_1 = require("./location.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = __importDefault(require("zod"));
function locationPickedSchema() {
    return location_dto_1.locationSchema.pick({
        city: true,
        longitude: true,
        latitude: true,
    });
}
exports.findAllLocationResponseSchema = zod_1.default.object({
    birthLocations: zod_1.default.array(locationPickedSchema().merge(zod_1.default.object({
        _count: zod_1.default.object({
            birthProfiles: zod_1.default.number(),
        }),
    }))),
    residenceLocations: zod_1.default.array(locationPickedSchema().merge(zod_1.default.object({
        _count: zod_1.default.object({
            residenceProfiles: zod_1.default.number(),
        }),
    }))),
});
class FindAllLocationResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllLocationResponseSchema) {
}
exports.FindAllLocationResponseDto = FindAllLocationResponseDto;
//# sourceMappingURL=find-all-location.dto.js.map